%bcond_without check
%global debug_package %{nil}

%global __golang_extldflags -Wl,-z,lazy -Wl,--export-dynamic

# https://github.com/NVIDIA/go-nvlib
%global goipath      github.com/NVIDIA/go-nvlib
%global tag          v0.2.0
%global goextensions ids
#%%global extractdir   go-nvlib-%%{commit}
%gometa -L -f


%global common_description %{expand:
A collection of useful Go libraries for use with NVIDIA GPU management tools}

%global golicenses   LICENSE NOTICE
%global godocs       CONTRIBUTING.md README.md

Name:                %{goname}
Version:             0.2.0
Release:             %autorelease -p
Summary:             A collection of useful Go libraries for use with NVIDIA GPU management tools

License:             Apache-2.0
URL:                 %{gourl}
Source:              %{gosource}

%description %{common_description}

%gopkg


%prep
%goprep
%autopatch -p1


%generate_buildrequires
%go_generate_buildrequires


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif


%gopkgfiles


%changelog
%autochangelog
